ome-qtwidgets 5.3.2

Public Types | Public Member Functions | Public Attributes | List of all members
ome::qtwidgets::GLView2D::Camera Struct Reference

Camera (modelview projection matrix manipulation) More...

## Public Types
enum | ProjectionType { ORTHOGRAPHIC, PERSPECTIVE }
| Projection type. More...

## Public Member Functions
float | zoomfactor () const
| Get zoom factor. More...
float | rotation () const
| Get rotation factor. More...
glm::mat4 | mvp () const
| Get modelview projection matrix. More...

## Public Attributes
ProjectionType | projectionType
| Projection type.
int | zoom
| Zoom factor.
int | xTran
| x translation
int | yTran
| y translation.
int | zRot
| Rotation factor.
glm::mat4 | model
| Current model.
glm::mat4 | view
| Current view.
glm::mat4 | projection
| Current projection.

## Detailed Description

Camera (modelview projection matrix manipulation)

## Member Enumeration Documentation

## § ProjectionType

enum ome::qtwidgets::GLView2D::Camera::ProjectionType

Projection type.

Enumerator
ORTHOGRAPHIC | Orthographic projection.
PERSPECTIVE | Perspective projection.

## Member Function Documentation

## § mvp()

glm::mat4 ome::qtwidgets::GLView2D::Camera::mvp | ( |  | ) | const
| inline

Get modelview projection matrix.

The separate model, view and projection matrices are combined to form a single matrix.

Returns
  the modelview projection matrix.

References model.

Referenced by ome::qtwidgets::GLView2D::render().

Here is the caller graph for this function:

## § rotation()

float ome::qtwidgets::GLView2D::Camera::rotation | ( |  | ) | const
| inline

Get rotation factor.

Returns
  the rotation factor (in radians).

Referenced by ome::qtwidgets::GLView2D::timerEvent().

Here is the caller graph for this function:

## § zoomfactor()

float ome::qtwidgets::GLView2D::Camera::zoomfactor | ( |  | ) | const
| inline

Get zoom factor.

Convert linear signed zoom value to a factor (to the 10th power of the zoom value).

Returns
  the zoom factor.

Todo:
  remove fixed size.

Referenced by ome::qtwidgets::GLView2D::render(), and ome::qtwidgets::GLView2D::timerEvent().

Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- ome/qtwidgets/GLView2D.h